SynapSynapDocs
Hub REST API

Artifacts

The Artifacts operations of the Hub REST API (3 operations).

For BuildersOpen-source podSynap CloudGenerated from Synap-core/backend@c31e261ab (main)
GET
/artifacts

Authorization

bearerAuth
headerAuthorizationBearer <API key>

Pod API key (Bearer) issued via /api/hub/setup/agent or pod admin tooling. Browser/web clients may use the X-Session-Token header instead. See GET /api/hub/auth/status to introspect the calling key.

Query Parameters

workspaceId?string
state?string
Value in"working""kept""swept""all"
placement?string
Value in"desk""home""sidebar""library""all"
sessionId?string
Formatuuid
limit?integer
Range1 <= value <= 100

Response Body

Artifacts

application/json
  1. response
[index: integer]?
Example Request
curl -X GET 'https://pod.example.com/api/hub/artifacts'
Example Response
[  {    "id": "string",    "workspaceId": "string",    "userId": "string",    "kind": "string",    "refId": "string",    "cellKey": "string",    "props": null,    "title": "string",    "originKind": "string",    "actorId": "string",    "sessionId": "string",    "state": "string",    "placement": "string",    "keptAt": "string",    "sweptAt": "string",    "createdAt": "string",    "updatedAt": "string"  }]

Create an artifact

POST
/artifacts

Authorization

bearerAuth
headerAuthorizationBearer <API key>

Pod API key (Bearer) issued via /api/hub/setup/agent or pod admin tooling. Browser/web clients may use the X-Session-Token header instead. See GET /api/hub/auth/status to introspect the calling key.

Request Body

application/json
  1. body
workspaceId*string
Length1 <= length
userId*string
Length1 <= length
kind*string
Value in"view""cell""document""entity""url""automation""playbook"
refId?string
cellKey?string
props?unknown
title*string
Length1 <= length <= 500
originKind?string
Default"agent"
Value in"user""agent""deeplink""system"
actorId?string
sessionId?string
Formatuuid
placement?string
Value in"desk""home""sidebar""library"
agentUserId?string
Formatuuid
reasoning?string

Response Body

Created artifact or proposal

application/json
  1. response
[key: string]?unknown
Example Request
curl -X POST 'https://pod.example.com/api/hub/artifacts' \  -H 'Content-Type: application/json' \  -d '{  "workspaceId": "string",  "userId": "string",  "kind": "view",  "title": "string"}'
Example Response
{  "property1": null,  "property2": null}
PATCH
/artifacts/:id

Authorization

bearerAuth
headerAuthorizationBearer <API key>

Pod API key (Bearer) issued via /api/hub/setup/agent or pod admin tooling. Browser/web clients may use the X-Session-Token header instead. See GET /api/hub/auth/status to introspect the calling key.

Path Parameters

id*string
Formatuuid

Request Body

application/json
  1. body
state?string
Value in"working""kept""swept"
placement?string
Value in"desk""home""sidebar""library"
agentUserId?string
Formatuuid
reasoning?string

Response Body

Updated artifact or proposal

application/json
  1. response
[key: string]?unknown
Example Request
curl -X PATCH 'https://pod.example.com/api/hub/artifacts/:id' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "property1": null,  "property2": null}